# $Revision: 1.5 $, $Date: 2004/10/09 00:56:56 $
Summary:	Palace - an XMMS visualization used for parallel port light shows
Summary(pl):	Palace - wtyczka XMMS do sterowania wiatami przez port rwnolegy
Name:		xmms-visualization-palace
Version:	0.2.1
Release:	3
License:	LGPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/palace-dci/palace-%{version}.tar.bz2
# Source0-md5:	d97959c388e3e12bd74e322971ced9c9
URL:		http://palace-dci.sourceforge.net/
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Requires:	xmms
ExclusiveArch:	%{ix86} amd64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Palace is a nifty visualization plug in for XMMS. It works by reading
the Fourier frequency analysis given by XMMS, and activating
particular pins on the parallel port based on the frequency analysis
and configuration options. Palace was based on the XPLSISNJASP
software project. For examples of hardware use useful with Palace,
visit one of the following web sites:

http://www.na.linux.hr/projects/xplsisnjasp/ - XPLSISNJASP project web site
http://www.discolitez.com/ - Discolitez is a similar plugin for Winamp

%description -l pl
Palace to wtyczka XMMS do sterowania wiatami, napisana na bazie
projektu XPLSISNJASP. Dziki prostemu sprztowi podczonemu do
komputera oraz tej wtyczce moemy nasz komputer zamieni w cakiem
przyjemny zestaw do maej domowej dyskoteki :-)

Przykady sprztu, ktry mona wykorzysta z Palace, mona znale na
tych stronach:

http://www.na.linux.hr/projects/xplsisnjasp/ - strona projektu XPLSISNJASP
http://www.discolitez.com/ - podobna wtyczka dla programu Winamp

%prep
%setup -q -n palace-%{version}

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--datadir=%{xmms_datadir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_visualization_plugindir} \
	$RPM_BUILD_ROOT%{xmms_datadir}/palace/pixmaps

install ./src/.libs/libpalace.so $RPM_BUILD_ROOT%{xmms_visualization_plugindir}
install ./src/.libs/libpalace.la $RPM_BUILD_ROOT%{xmms_visualization_plugindir}
install ./pixmaps/*.xpm $RPM_BUILD_ROOT%{xmms_datadir}/palace/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{xmms_visualization_plugindir}/*
%{xmms_datadir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-visualization-palace.spec,v $
Revision 1.5  2004/10/09 00:56:56  undefine
- copy config.sub to allow build on amd64, exclusivearch

Revision 1.4  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.3  2003/06/29 10:17:09  qboosh
- pl chars

Revision 1.2  2003/06/06 21:58:35  snurf
- adapterized, cosmetics
